TechDraw ShowAll: Difference between revisions

From FreeCAD Documentation
mNo edit summary
(Marked this version for translation)
 
(2 intermediate revisions by the same user not shown)
Line 24: Line 24:


<!--T:4-->
<!--T:4-->
The '''TechDraw ShowAll''' tool is intended to temporarily show and hide invisible lines in a View. Lines can be made invisible with the [[TechDraw_DecorateLine|TechDraw DecorateLine]] tool. Note that "invisible" is a cosmetic state, not to be confused with hidden lines which are geometric constructs.
The '''TechDraw ShowAll''' tool is intended to temporarily show, and then hide, invisible lines in a View. Lines can be made invisible with the [[TechDraw_DecorateLine|TechDraw DecorateLine]] tool. Note that "invisible" is a cosmetic state, not to be confused with hidden lines which are geometric constructs.


==Usage== <!--T:5-->
==Usage== <!--T:5-->
Line 35: Line 35:
# All invisible lines in the View are either shown or hidden.
# All invisible lines in the View are either shown or hidden.


==Notes==
==Notes== <!--T:16-->


<!--T:17-->
* To make invisible lines permanently visible use [[Image:TechDraw_DecorateLine.svg|16px]] [[TechDraw_DecorateLine|TechDraw DecorateLine]].
* To make invisible lines permanently visible use [[Image:TechDraw_DecorateLine.svg|16px]] [[TechDraw_DecorateLine|TechDraw DecorateLine]].


Line 51: Line 52:
vvo = v.ViewObject
vvo = v.ViewObject
vvo.ShowAllEdges = True
vvo.ShowAllEdges = True
App.activeDocument().recompute()
App.ActiveDocument.recompute()
}}
}}
<translate>
<translate>

Latest revision as of 20:08, 26 July 2023

TechDraw ShowAll

Menu location
TechDraw → Add Lines → Show/Hide Invisible Edges
Workbenches
TechDraw
Default shortcut
None
Introduced in version
0.19
See also
TechDraw DecorateLine

Description

The TechDraw ShowAll tool is intended to temporarily show, and then hide, invisible lines in a View. Lines can be made invisible with the TechDraw DecorateLine tool. Note that "invisible" is a cosmetic state, not to be confused with hidden lines which are geometric constructs.

Usage

  1. Select a View with invisible lines on a Page or in the Tree view.
  2. There are several ways to invoke the tool:
    • Press the Show/Hide Invisible Edges button.
    • Select the TechDraw → Add Lines → Show/Hide Invisible Edges option from the menu.
  3. All invisible lines in the View are either shown or hidden.

Notes

Scripting

See also: Autogenerated API documentation and FreeCAD Scripting Basics.

The effect of the ShowAll tool can be duplicated in macros or the Python console.

v = App.ActiveDocument.View
vvo = v.ViewObject
vvo.ShowAllEdges = True
App.ActiveDocument.recompute()